<!-- Row -->
<div class="row">
    <!-- Column -->
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body no-padding-left no-padding-right">
                                <div class="row">
                                    <div class="col-8">
                                        <input #searchField [(ngModel)]="searchBy" [debounce]="300"
                                               (onDebounce)="search()"
                                               class="form-control "
                                               placeholder="Pesquisar por nome, extensão ou categoria do arquivo"/>
                                    </div>
                                    <div class="col-2">
                                        <button (click)="search(1)" class="btn btn-block btn-success"><i
                                                class="fa fa-sync"></i> Atualizar
                                        </button>
                                    </div>

                                    <div class="col-2">
                                        <button (click)="goBack()" class="btn btn-block btn-info"><i
                                                class="fa fa-history"></i> Voltar
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <data-table #dataTableComponent
                                        [selectable]="true"
                                        [total]="data.count"
                                        [data]="data.results"
                                        [paginated]="true"
                                        keyEvents="true"
                                        (onPaginate)="onPaginate($event)"
                            >
                                <column header="Nome do arquivo" useTemplate="true">
                                    <ng-template let-customerFile="data">
                                        {{ customerFile.file_name }}.{{ customerFile.file_extension }}
                                    </ng-template>
                                </column>
                                <column header="Categoria" field="file_category_name"></column>
                                <column header="Criado em" useTemplate="true">
                                    <ng-template let-customerFile="data">
                                        {{ customerFile.created_at | formatDate }}
                                    </ng-template>
                                </column>
                                <column header="Status" useTemplate="true">
                                    <ng-template let-customerFile="data">
                                        {{ customerFile.customer_file_data_status || 'Não processado'  }}
                                    </ng-template>
                                </column>
                                <column useTemplate="true">
                                    <ng-template let-customerFile="data">
                                        <div class="btn-group btn-table-group dropup">
                                            <button type="button"
                                                    class="btn btn-sm btn-outline-primary btn-rounded dropdown-toggle"
                                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                Ações
                                            </button>
                                            <div class="dropdown-menu">
                                                <a class="dropdown-item" href="javascript:void(0)"
                                                   (click)="editCustomerFile(customerFile.id)"> <i
                                                        class="fa fa-edit"></i> Editar </a>

                                                <a class="dropdown-item" href="javascript:void(0)"
                                                   (click)="deleteCustomerFile(customerFile.id)"> <i
                                                        class="fa fa-trash"></i> Excluir </a>

                                                <div class="dropdown-divider"></div>
                                                <a class="dropdown-item"
                                                   href="javascript:void(0)"
                                                   (click)="downloadCustomerFile(customerFile.id)"> <i
                                                        class="fa fa-download"></i> Baixar Arquivo</a>

                                                <a class="dropdown-item"
                                                   href="javascript:void(0)"
                                                   (click)="viewUpdateStatus(customerFile)"> <i
                                                        class="mdi mdi-export"></i> Visualizar status</a>

                                                <a class="dropdown-item"
                                                   href="javascript:void(0)"
                                                   (click)="showResults(customerFile.customer_file_data_id)"> <i
                                                        class="fa fa-file-excel"></i> Visualizar resultados</a>
                                            </div>
                                        </div>
                                    </ng-template>
                                </column>
                                <buttons-right>
                                    <div class="row">
                                        <div class="col-6 offset-6">
                                            <button (click)="newCustomerFile()" class="btn btn-block btn-primary">
                                                <i class="fa fa-plus"></i>
                                                Novo Arquivo
                                            </button>
                                        </div>
                                    </div>
                                </buttons-right>
                            </data-table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Row -->

<ng-template #modalProcess>
    <div class="modal-header">
        <h4 class="modal-title pull-left">Aguarde, processando...</h4>
    </div>
    <div class="modal-body">
        <p>
            Processando o arquivo <strong>{{ selectedCustomerFile.file_name }}
            .{{ selectedCustomerFile.file_extension }}</strong>...
        </p>

        <p>
            Esta janela pode ser fechada, mas você pode acompanhar por aqui o processamento deste arquivo.
        </p>

        <p>
            Status: <strong>{{ selectedCustomerFileData.status }}</strong>
        </p>
        <p>
            Atualizado em: {{ selectedCustomerFileData.job_last_refresh | formatDate }}
        </p>

        <div *ngIf="selectedCustomerFileData.status != 'FINISHED'" class="spinner-border"
             style="width: 3rem; height: 3rem; right: 10px; bottom: 20px; position: absolute" role="status">
            <span class="sr-only">Processando...</span>
        </div>

    </div>
    <div class="modal-footer text-center">
        <button class="btn btn-outline-success" *ngIf="selectedCustomerFileData.status === 'FINISHED'"
                (click)="showResults(selectedCustomerFileData.id)">Ver Resultados
        </button>
        <button class="btn btn-primary" (click)="modalRef.hide()">Fechar</button>
    </div>
</ng-template>
